#include <stdio.h>
#include <stdlib.h>
//f*n
/*int niz[N];
int niz[M];*/
/*for(int p=1;p<=N;p++){
             int niz[p]=mat[p][M];
             if(niz[p]%N!=0)
                    printf("-1\n");
        for(int q=1;q<=M;q++){
             int broj[q]=mat[N][q];
             if(broj[q]%M!=0)
                    printf("-1\n");*/


int main()
{int T,N,M;
printf("unesi broj test primera\n");
scanf("%d",&T);
printf("unesi N,M\n");
for(int k=0;k<T;k++){
    scanf("%d %d",&N,&M);
int mat[N][M];
printf("unesi matricu\n");
    for(int f=1;f<=N;f++){
        for(int u=1;u<=M;u++){
            scanf("%d",&mat[f][u]);
        int niz[f]=mat[f][u];
        int ni[u]=mat[f][u];
if(niz[f]%N!=0){
    printf("-1");

}
else if(ni[u]%M!=0){
    printf("-1");
}
else{
printf("%d",mat[N][M]);
        }


    }

}
}


    return 0;
}